Package twisted :: Package internet :: Module ssl :: Class Client |
[frames | no frames]

## Class Client

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                BaseClient --+
                             |
                        Client --+
                                 |
                                Client

I am an SSL client.

Method Summary
| `__init__(self, host, port, bindAddress, ctxFactory, connector, reactor)`
| `_connectDone(self)`
| ``getHost`(self)` Returns a tuple of ('SSL', hostname, port).
| ``getPeer`(self)` Returns a tuple of ('SSL', hostname, port).
Inherited from Client
| ``__repr__`(self)`
Inherited from BaseClient
| ``_finishInit`(self, whenDone, skt, error, reactor)` Called by base classes to continue to next stage of initialization.
| ``_setRealAddress`(self, address)`
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost().
| ``createInternetSocket`(self)` (internal) Create a non-blocking socket using self.addressFamily, self.socketType.
| ``doConnect`(self)` I connect the socket.
| ``failIfNotConnected`(self, err)`
| ``resolveAddress`(self)`
| ``startTLS`(self, ctx, client)`
| ``stopConnecting`(self)` Stop attempt to connect.
Inherited from Connection
| ``_closeSocket`(self)` Called to close our socket.
| ``_startTLS`(self)`
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data.
| ``getTcpKeepAlive`(self)`
| ``getTcpNoDelay`(self)`
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread.
| ``setTcpKeepAlive`(self, enabled)`
| ``setTcpNoDelay`(self, enabled)`
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative)
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
Inherited from BaseClient
`int` | `addressFamily` = 2
`int` | `socketType` = 1
Inherited from Connection
`tuple` | `__implements__` = `((<class twisted.internet.interfaces.IP...`
`str` | `logstr` = `'Uninitialized'`
`int` | `TLS` = 0
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### getHost(self) Returns a tuple of ('SSL', hostname, port). This indicates the address from which I am connecting. Overrides: `twisted.internet.tcp.Client.getHost`

### getPeer(self) Returns a tuple of ('SSL', hostname, port). This indicates the address that I am connected to. Overrides: `twisted.internet.tcp.Client.getPeer`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net